/*
prices.inc -    VC:RP
: 0.5
 Andrejs
*/

/* NATIVES:
	native ZonePrice(const playerid)
*/

#include <a_samp>

//Vehicles
#define LANDSTALKER 125000
#define BRAVURA 45000
#define BUFFALO 90000
#define LINERUNNER 57000
#define PERENNIEL 28000
#define SENTINEL 56000
#define DUMPER 112000
#define FIRETRUCK 111000
#define TRASHMASTER 54000
#define STRETCH 300000
#define MANANA 23000
#define INFERNUS 450000
#define VOODOO 26000
#define PONY 27000
#define MULE 44000
#define CHEETAH 445000
#define AMBULANCE 118000
#define LEVIATHAN 321000
#define MOONBEAM 33000
#define ESPERANTO 35000
#define TAXI 48000
#define WASHINGTON 64000
#define BOBCAT 30000
#define MRWHOOPEE 40000
#define BFINJECTION 31000
#define HUNTER 1000000
#define PREMIER 75000
#define ENFORCER 110000
#define SECURICAR 125000
#define BANSHEE 175000
#define PREDATOR 215000
#define BUS 75000
#define RHINO 750000
#define BARRACKS 300000
#define HOTKNIFE 98000
#define PREVION 30000
#define COACH 78000
#define CABBIE 45000
#define STALLION 50000
#define RUMPO 25000
#define ROMERO 53000
#define PACKER 80000
#define ADMIRAL 47000
#define SQUALLO 216000
#define SEASPARROW 356000
#define TURISMO 415000
#define SPEEDER 211000
#define REEFER 91000
#define TROPIC 511000
#define FLATBED 94000
#define YANKEE 85000
#define CADDY 14000
#define SOLAIR 61000
#define RCVAN 30000
#define SKIMMER 396000
#define PCJ600 70000
#define FAGGIO 10000
#define FREEWAY 44000
#define GLENDALE 21000
#define OCEANIC 24000
#define SANCHEZ 52000
#define SPARROW 316000
#define PATRIOT 115000
#define QUAD 6000
#define COASTGUARD 96000
#define DINGHY 110000
#define HERMES 41000
#define SABRE 65000
#define ZR350 101000
#define WALTON 15000
#define REGINA 36000
#define COMET 131000
#define BMX 1000
#define BURRITO 43000
#define CAMPER 56000
#define MARQUIS 614000
#define DOZER 96000
#define MAVERICK 475000
#define NEWSMAVERICK 511000
#define RANCHER 125000
#define FBIRANCHER 171000
#define VIRGO 68000
#define GREENWOOD 29000
#define JETMAX 256000
#define SANDKING 111000
#define BLISTACOMPACT 78000
#define POLICEMAVERICK 578000
#define BOXVILLE 45000
#define BENSON 44000
#define MESA 99000
#define SUPERGT 212000
#define ELEGANT 80000
#define JOURNEY 90000
#define BIKE 750
#define MOUNTAINBIKE 2500
#define BEAGLE 411000
#define CROPDUSTER 391000
#define STUNTPLANE 375000
#define TANKER 60000
#define ROADTRAIN 65000
#define NEBULA 65000
#define MAJESTIC 60000
#define BUCCANEER 55000
#define SHAMAL 710000
#define HYDRA 5000000
#define FCR900 95000
#define NRG500 151000
#define HPV1000 125000
#define TOWTRUCK 97000
#define FORTUNE 59000
#define CADRONA 61000
#define FBITRUCK 198000
#define WILLARD 49000
#define COMBINEHARVESTER 50000
#define FELTZER 73000
#define REMINGTON 78000
#define SLAMVAN 91000
#define BLADE 56000
#define VINCENT 51000
#define BULLET 399000
#define CLOVER 25000
#define SADLER 29000
#define FIRETRUCKLA 119000
#define HUSTLER 78000
#define INTRUDER 58000
#define PRIMO 44000
#define CARGOBOB 514000
#define TAMPA 25000
#define SUNRISE 78000
#define MERIT 82000
#define UTILITYVAN 100000
#define NEVADA 510000
#define YOSEMITE 90000
#define WINDSOR 86000
#define URANUS 90000
#define JESTER 126000
#define SULTAN 191000
#define STRATUM 111000
#define ELEGY 156000
#define RAINDANCE 411000
#define FLASH 94000
#define TAHOMA 44000
#define SAVANNA 43000
#define BANDITO 51000
#define KART 10000
#define DUNE 105000
#define SWEEPER 54000
#define BROADWAY 65000
#define TORNADO 51000
#define AT400 800000
#define DFT30 80000
#define HUNTLEY 190000
#define STAFFORD 200000
#define BF400 65000
#define NEWSVAN 70000
#define EMPEROR 57000
#define WAYFARER 44000
#define EUROS 94000
#define CLUB 76000
#define ANDROMADA 900000
#define DODO 345000
#define LAUNCH 516000
#define POLICECARLS 135000
#define POLICECARLV 130000
#define POLICECARSF 135000
#define POLICERANGER 145000
#define PICADOR 46000
#define SWAT 210000
#define ALPHA 101000
#define PHOENIX 85000
//------------------------------------------------------------------------------

//     :
#define zTemple 10000
#define zMulholland 95000
#define zCityHall 40000
#define zCommerce 29000
#define zConferenceCenter 26000
#define zDowntownLosSantos 21000
#define zEastBeach 35000
#define zMarina 40000
#define zMarket 25000
#define zPershingSquare 50000
#define zPlayadelSevile 11000
#define zRichman 100000
#define zRodeo 40000
#define zSantaMariaBeach 36000
#define zVerdantBluffs 35000
#define zVeronaBeach 37000
#define zVinewood 43000

enum zzInfo
{
        Float:zone_minx,
        Float:zone_miny,
        Float:zone_minz,
        Float:zone_maxx,
        Float:zone_maxy,
        Float:zone_maxz,
        zone_cost
}

new ZoneCost[88][zzInfo] = {
{1252.30, -1130.80,   -89.00,  1378.30, -1026.30,   110.90, zTemple},//Temple start
{1252.30, -1026.30,   -89.00,  1391.00,  -926.90,   110.90, zTemple},
{1252.30,  -926.90,   -89.00,  1357.00,  -910.10,   110.90, zTemple},
{952.60,  -1130.80,   -89.00,  1096.40,  -937.10,   110.90, zTemple},
{1096.40, -1130.80,   -89.00,  1252.30, -1026.30,   110.90, zTemple},
{1096.40, -1026.30,   -89.00,  1252.30,  -910.10,   110.90, zTemple},//Temple end
{1414.00,  -768.00,   -89.00,  1667.60,  -452.40,   110.90, zMulholland},//Mulholland start
{1281.10,  -452.40,   -89.00,  1641.10,  -290.90,   110.90, zMulholland},
{1269.10,  -768.00,   -89.00,  1414.00,  -452.40,   110.90, zMulholland},
{1357.00,  -926.90,   -89.00,  1463.90,  -768.00,   110.90, zMulholland},
{1318.10,  -910.10,   -89.00,  1357.00,  -768.00,   110.90, zMulholland},
{1169.10,  -910.10,   -89.00,  1318.10,  -768.00,   110.90, zMulholland},
{768.60,  -954.60,   -89.00,   952.60,  -860.60,   110.90, zMulholland},
{687.80,  -860.60,   -89.00,   911.80,  -768.00,   110.90, zMulholland},
{737.50,  -768.00,   -89.00,  1142.20,  -674.80,   110.90, zMulholland},
{1096.40,  -910.10,   -89.00,  1169.10,  -768.00,   110.90, zMulholland},
{952.60,  -937.10,   -89.00,  1096.40,  -860.60,   110.90, zMulholland},
{911.80,  -860.60,   -89.00,  1096.40,  -768.00,   110.90, zMulholland},
{861.00,  -674.80,   -89.00,  1156.50,  -600.80,   110.90, zMulholland},
{1463.90, -1150.80,   -89.00,  1812.60,  -768.00,   110.90, zMulholland},//Mulholland end
{-2867.80,   277.40,    -9.10, -2593.40,   458.40,   200.00, zCityHall},//City hall
{1323.90, -1842.20,   -89.00,  1701.90, -1722.20,   110.90, zCommerce},//Commerce start
{1323.90, -1722.20,   -89.00,  1440.90, -1577.50,   110.90, zCommerce},
{1370.80, -1577.50,   -89.00,  1463.90, -1384.90,   110.90, zCommerce},
{1463.90, -1577.50,   -89.00,  1667.90, -1430.80,   110.90, zCommerce},
{1583.50, -1722.20,   -89.00,  1758.90, -1577.50,   110.90, zCommerce},
{1667.90, -1577.50,   -89.00,  1812.60, -1430.80,   110.90, zCommerce},//Commerce end
{1046.10, -1804.20,   -89.00,  1323.90, -1722.20,   110.90, zConferenceCenter},//Conference Center
{1073.20, -1842.20,   -89.00,  1323.90, -1804.20,   110.90, zConferenceCenter},//Conference Center
{1463.90, -1430.80,   -89.00,  1724.70, -1290.80,   110.90, zDowntownLosSantos},//Downtown Los Santos start
{1724.70, -1430.80,   -89.00,  1812.60, -1250.90,   110.90, zDowntownLosSantos},
{1463.90, -1290.80,   -89.00,  1724.70, -1150.80,   110.90, zDowntownLosSantos},
{1370.80, -1384.90,   -89.00,  1463.90, -1170.80,   110.90, zDowntownLosSantos},
{1724.70, -1250.90,   -89.00,  1812.60, -1150.80,   110.90, zDowntownLosSantos},
{1370.80, -1170.80,   -89.00,  1463.90, -1130.80,   110.90, zDowntownLosSantos},
{1378.30, -1130.80,   -89.00,  1463.90, -1026.30,   110.90, zDowntownLosSantos},
{1391.00, -1026.30,   -89.00,  1463.90,  -926.90,   110.90, zDowntownLosSantos},
{1507.50, -1385.20,   110.90,  1582.50, -1325.30,   335.90, zDowntownLosSantos},//Downtown Los Santos end
{2632.80, -1852.80,   -89.00,  2959.30, -1668.10,   110.90, zEastBeach},//East Beach start
{2632.80, -1668.10,   -89.00,  2747.70, -1393.40,   110.90, zEastBeach},
{2747.70, -1668.10,   -89.00,  2959.30, -1498.60,   110.90, zEastBeach},
{2747.70, -1498.60,   -89.00,  2959.30, -1120.00,   110.90, zEastBeach},//East Beach end
{647.70, -1804.20,   -89.00,   851.40, -1577.50,   110.90, zMarina},//Marina start
{647.70, -1577.50,   -89.00,   807.90, -1416.20,   110.90, zMarina},
{807.90, -1577.50,   -89.00,   926.90, -1416.20,   110.90, zMarina},//Marina end
{807.90, -1577.50,   -89.00,   926.90, -1416.20,   110.90, zMarket},//Market start
{787.40, -1416.20,   -89.00,  1072.60, -1310.20,   110.90, zMarket},
{952.60, -1310.20,   -89.00,  1072.60, -1130.80,   110.90, zMarket},
{1072.60, -1416.20,   -89.00,  1370.80, -1130.80,   110.90, zMarket},
{926.90, -1577.50,   -89.00,  1370.80, -1416.20,   110.90, zMarket},//Market end
{1440.90, -1722.20,   -89.00,  1583.50, -1577.50,   110.90, zPershingSquare},//Pershing Square
{2703.50, -2126.90,   -89.00,  2959.30, -1852.80,   110.90, zPlayadelSevile},//Playa del Sevile
{647.50, -1118.20,   -89.00,   787.40,  -954.60,   110.90, zRichman},//Richman start
{647.50,  -954.60,   -89.00,   768.60,  -860.60,   110.90, zRichman},
{225.10, -1369.60,   -89.00,   334.50, -1292.00,   110.90, zRichman},
{225.10, -1292.00,   -89.00,   466.20, -1235.00,   110.90, zRichman},
{72.60, -1404.90,   -89.00,   225.10, -1235.00,   110.90, zRichman},
{72.60, -1235.00,   -89.00,   321.30, -1008.10,   110.90, zRichman},
{321.30, -1235.00,   -89.00,   647.50, -1044.00,   110.90, zRichman},
{321.30, -1044.00,   -89.00,   647.50,  -860.60,   110.90, zRichman},
{321.30,  -860.60,   -89.00,   687.80,  -768.00,   110.90, zRichman},
{321.30,  -768.00,   -89.00,   700.70,  -674.80,   110.90, zRichman},//Richman end
{72.60, -1684.60,   -89.00,   225.10, -1544.10,   110.90, zRodeo},//Rodeo start
{72.60, -1544.10,   -89.00,   225.10, -1404.90,   110.90, zRodeo},
{225.10, -1684.60,   -89.00,   312.80, -1501.90,   110.90, zRodeo},
{225.10, -1501.90,   -89.00,   334.50, -1369.60,   110.90, zRodeo},
{334.50, -1501.90,   -89.00,   422.60, -1406.00,   110.90, zRodeo},
{312.80, -1684.60,   -89.00,   422.60, -1501.90,   110.90, zRodeo},
{422.60, -1684.60,   -89.00,   558.00, -1570.20,   110.90, zRodeo},
{558.00, -1684.60,   -89.00,   647.50, -1384.90,   110.90, zRodeo},
{466.20, -1570.20,   -89.00,   558.00, -1385.00,   110.90, zRodeo},
{422.60, -1570.20,   -89.00,   466.20, -1406.00,   110.90, zRodeo},
{466.20, -1385.00,   -89.00,   647.50, -1235.00,   110.90, zRodeo},
{334.50, -1406.00,   -89.00,   466.20, -1292.00,   110.90, zRodeo},//Rodeo end
{342.60, -2173.20,   -89.00,   647.70, -1684.60,   110.90, zSantaMariaBeach},//Santa Maria Beach
{72.60, -2173.20,   -89.00,   342.60, -1684.60,   110.90, zSantaMariaBeach},//Santa Maria Beach
{930.20, -2488.40,   -89.00,  1249.60, -2006.70,   110.90, zVerdantBluffs}, //Verdant Bluffs start
{1073.20, -2006.70,   -89.00,  1249.60, -1842.20,   110.90, zVerdantBluffs},
{1249.60, -2179.20,   -89.00,  1692.60, -1842.20,   110.90, zVerdantBluffs},//Verdant Bluffs end
{647.70, -2173.20,   -89.00,   930.20, -1804.20,   110.90, zVeronaBeach},//Verona Beach start
{930.20, -2006.70,   -89.00,  1073.20, -1804.20,   110.90, zVeronaBeach},
{851.40, -1804.20,   -89.00,  1046.10, -1577.50,   110.90, zVeronaBeach},
{1161.50, -1722.20,   -89.00,  1323.90, -1577.50,   110.90, zVeronaBeach},
{1046.10, -1722.20,   -89.00,  1161.50, -1577.50,   110.90, zVeronaBeach},//Verona Beach end
{787.40, -1310.20,   -89.00,   952.60, -1130.80,   110.90, zVinewood},//Vinewood start
{787.40, -1130.80,   -89.00,   952.60,  -954.60,   110.90, zVinewood},
{647.50, -1227.20,   -89.00,   787.40, -1118.20,   110.90, zVinewood},
{647.70, -1416.20,   -89.00,   787.40, -1227.20,   110.90, zVinewood}//Vinewood end
};

stock ZonePrice(const playerid)
{
	for(new z=0; z < sizeof(ZoneCost);z++)
 		if(IsPlayerInCubeArea(playerid,ZoneCost[z][zone_minx],ZoneCost[z][zone_maxx],ZoneCost[z][zone_miny],ZoneCost[z][zone_maxy],ZoneCost[z][zone_minz],ZoneCost[z][zone_maxz])) return ZoneCost[z][zone_cost];
  	return 0;
}
//------------------------------------------------------------------------------

enum hParams
{
	Float:hIntX,
	Float:hIntY,
	Float:hIntZ,
	hInterior,
	hRooms,
	hType,
	hText[32],
	hPrice
}
new HouseParams[][hParams] =
{
	{2468.8418,-1698.0635,1013.5078, 2, 3, 1, " (1 )", 50000}, //Ryder's House, 3 room 000
	{226.6593,1239.9750,1082.1406, 2, 3, 1, "(1 )", 60000}, // small 3 room 001
	{223.1163,1287.0758,1082.1406, 1, 4, 1, "(1 )", 65000}, // Small 4 room 002
	{261.0996,1284.2950,1080.2578, 4, 3, 1, "(1 )", 75000}, // Small 3 room 003
	{-68.7393,1351.1981,1080.2109, 6, 3, 1, "(1 )", 80000}, // Small 3 room 004
	{-42.5748,1405.4681,1084.4297, 8, 3, 1, "(1 )", 78000}, // 3 room 005
	{2196.8518,-1204.2589,1049.0234, 6, 6, 2, "(1 )", 101000}, // Medium 6 room 006
	{2365.4292,-1135.5980,1050.8826, 8, 4, 2, "(1 )", 98000}, // medium 4 room 007
	{295.0381,1472.2927,1080.2578, 15, 5, 2, "(1 )", 108000}, // medium 5 room 008
	{22.8716,1403.3722,1084.4370, 5, 5, 2, "(1 )", 106000}, // medium 5 room 009
	{260.8351,1237.2333,1084.2578, 9, 4, 2, "(1 )", 94000}, // medium 4 room 010
	{447.2189,1397.0624,1084.3047, 2, 5, 2, "(1 )", 114000}, // medium 5 room 011
	{2270.4185,-1210.5201,1047.5625, 10, 4, 2, "(1 )", 120000}, // medium 4 room 012
	{318.5918,1114.4796,1083.8828, 5, 5, 2, "(1 )", 90000}, // Medium 5 room 013
	{2495.9746,-1692.3940,1014.7422, 3, 3, 3, " CJ(2 )", 140000},  // cj house 3 room 014
	{2318.0710,-1026.7626,1050.2178, 9, 5, 3, "(2 )", 159000}, // 2 store medium 5 room 015
	{23.9795,1340.1600,1084.3750, 10, 3, 3, "(2 )", 145000}, // 2 store medium 3 room 016
	{-260.4853,1456.7446,1084.3672, 4, 3, 3, "(2 )", 120000}, // 2 store medium 3 room 017
	{-283.4384,1471.0123,1084.3750, 15, 4, 3, "(2 )", 135000}, // 2 store 4 room 018
	{82.9355,1322.2808,1083.8662, 9, 4, 3, "(2 )", 138000}, // 2 store 4 room 019
	{2807.6577,-1174.7571,1025.5703, 8, 3, 3, "(2 )", 126000}, // 2 store 3 room 020
	{1274.1685,2522.5820,2.2201, 9, 6, 3, "(2 )", 169000}, // 2 store 6 room andrejs 021
	{235.4339,1186.6797,1080.2578, 3, 6, 4, "(2 )", 200000}, // 2 store 6 room 022
	{226.2960,1114.3378,1080.9929, 5, 7, 4, "(2 )", 256000}, // 2 store 7 room 023
	{140.3429,1366.0229,1083.8594, 5, 5, 4, "(2 )", 249000}, // 2 store 5 room 024
	{234.2743,1063.7203,1084.2123, 6, 7, 4, "(2 )", 262000}, // 2 store 7 room 025
	{2.0558,-3.1697,999.4284, 2, 1, 1, "", 18000}, // trailer 1 room 026
	{2233.8147,-1115.1410,1050.8828, 5, 1, 1, "", 21000}, // 1 room 027
	{2259.3826,-1135.9047,1050.6403, 10, 3, 1, "", 27000}, // 3 room apartment 028
	{2218.4031,-1076.3192,1050.4844, 1, 1, 1, "", 22000}, // 1 room 029
	{446.6628,506.4570,1001.4195, 12, 2, 1, "", 33000}, // 2 room apartment 030
	{2308.6536,-1212.9366,1049.0234, 6, 2, 1, "", 36000}, // 2 room apartment 031
	{2283.2214,-1140.2865,1050.8984, 11, 2, 1, "", 32500}, // 2 room apartment 032
	{243.7174,304.9840,999.1484, 1, 1, 1, " ", 16000}, // Denise room 033
	{266.4986,305.0676,999.1484, 2, 1, 1, " ", 19000}, // Katie's room 034
	{300.1299,310.3976,1003.3047, 4, 1, 1, " ", 17000}, // Michelle's Room 035
	{1520.7994,-47.8939,1002.1310, 2, 2, 1, "B-Dups Crack Palace", 12000}, // B' Dups crack palace 036
	{1531.2549,-6.8989,1002.0971, 3, 2, 1, " B-Dups", 10000} // B dups apartment 037
};

//------------------------------------------------------------------------------

enum bParams
{
	Float: bIntX,
	Float: bIntY,
	Float: bIntZ,
	bInterior,
	bType,
	bMaxProducts,
	bText[32]
	
}
new BizzParams[][bParams] =
{
	{-26.0381,-188.0292,1003.5469, 17, 38, 150, "Large - Lshaped 24/7"}, // 00
	{5.9926,-31.7593,1003.5494, 10, 38, 150, "Large - Oblong 24/7"}, // 01
	{-30.9199,-92.0043,1003.5469, 18, 38, 150, "Medium - Square 24/7"}, // 02
	{-25.8188,-141.5516,1003.5469, 16, 38, 150, "Medium - Square 24/7 V2"}, // 03
	{-27.1374,-31.6148,1003.5573, 4, 38, 50, "Small - Long 24/7"}, // 04
	{-27.4524,-58.2724,1003.5469, 6, 38, 50, "Small - Square 24/7 V2"}, // 05
	{285.3051,-41.5996,1001.5156, 1, 6, 50, "Ocean Flats, SF"}, // 06
	{285.8233,-86.7553,1001.5229, 4, 6, 50, "Palomino Creek, LV"}, // 07
	{297.0489,-111.8780,1001.5156, 6, 6, 50, "Angel Pine, SF"}, // 08
	{315.6966,-143.3358,999.6016, 7, 6, 50, "  Ammu-Nation"}, // 09
	{316.2819,-170.2898,999.5938, 4, 6, 50, "El Quebrados, LV"}, // 10
	{207.9293,-111.2563,1005.1328, 15, 45, 75, "Binco"}, // 11
	{204.2684,-168.8582,1000.5234, 14, 45, 75, "Didier Sachs"}, // 12
	{207.0737,-140.3729,1003.5078, 3, 45, 75, "ProLaps"}, // 13
	{203.5723,-50.6594,1001.8047, 1, 45, 75, "SubUrban"}, // 14
	{227.5601,-7.8401,1002.2109, 5, 45, 75, "Victim"}, // 15
	{161.4761,-97.1037,1001.8047, 18, 45, 75, "ZIP"}, // 16
	{493.4544,-24.9338,1000.6719, 17, 48, 75, "Alhambra"}, // 17
	{501.6915,-67.5675,998.7578, 11, 49, 50, "10 Green Bottles"}, // 18
	{-229.2937,1401.4104,27.7656, 18, 49, 50, "UFO Bar"}, // 19
	{460.5525,-88.4764,999.5547, 4, 17, 50, "Jay's Dinner"}, // 20
	{362.7190,-75.0054,1001.5078, 10, 10, 50, "Burger Shot"}, // 21
	{364.9559,-11.8228,1001.8516, 9, 14, 50, "Cluckin Bell"}, // 22
	{372.1940,-133.5233,1001.4922, 5, 29, 50, "Pizza"}, // 23
	{377.2136,-193.3018,1000.6328, 17, 16, 50, "Rusty Brown Donuts"}, // 24
	{1211.8097,-25.8934,1000.9531, 3, 21, 100, "Small Strip Club"}, // 25
	{1205.0287,-13.8463,1000.9219, 2, 21, 150, "Pig Pen"}, // 26
	{-2636.4236,1402.6086,906.4609, 3, 48, 200, "Pleasure Domes"}, // 27
	{772.3914,-5.2017,1000.7288, 5, 54, 50, "Ganton Gym in Ganton, LS"}, // 28
	{774.3560,-50.4757,1000.5859, 6, 54, 50, "Cobra Gym in Garcia, SF"}, // 29
	{773.9083,-78.6889,1000.6625, 7, 54, 50, "Gym in Redsands East, LV"}, // 30
	{967.4026,-53.2245,1001.1246, 3, 49, 50, "Bar Interior"} // 31
};

enum vParamsInfo
{
	vName[32 char],
	vMaxSpeed,
	vConsumption,
	vMaxFuel,
	vDoors,
	vSeats,
	vType[32],
	vTuning[32 char],
	vFuel[32],
	vFuelType,
	vDriveUnit[32],
	vWeight,
	vPrice
}

new VehicleParams[][vParamsInfo] =
{
	{!"Landstalker", 140, 13, 80, 5, 4, "", !"Transfender", "", 1, "", 1760, LANDSTALKER},
	{!"Bravura", 131, 7, 40, 3, 2, " ", !"Transfender", "", 2, "", 1320, BRAVURA},
	{!"Buffalo", 166, 12, 50, 3, 2, "", !"Transfender", "", 2, "", 1525, BUFFALO},
	{!"Linerunner", 98, 20, 160, 2, 2, "", !"N/A", "", 1, "", 3860, LINERUNNER},
	{!"Pereniel", 118, 10, 50, 5, 4, " ", !"Transfender", "", 2, "", 1200, PERENNIEL},
	{!"Sentinel", 146, 12, 70, 5, 4, " ", !"Transfender", "", 2, "", 1600, SENTINEL},
	{!"Dumper", 98, 0},
	{!"Firetruck", 132, 20, 150, 2, 2, " ", !"N/A", "", 1, "", 6500, FIRETRUCK},
	{!"Trashmaster", 89, 20, 150, 2, 2, " ", !"N/A", "", 1, "", 5500, TRASHMASTER},
	{!"Stretch", 140, 15, 80, 5, 4, "", !"Transfender", "", 2, "", 2200, STRETCH},
	{!"Manana", 115, 7, 50, 3, 2, " ", !"Transfender", "", 2, "", 1000, MANANA},
	{!"Infernus", 197, 15, 90, 2, 2, " ", !"Transfender", "", 2, "", 1400, INFERNUS},
	{!"Voodoo", 150, 13, 80, 3, 2, " ", !"Loco Low Co", "", 2, "", 1800, VOODOO},
	{!"Pony", 98, 17, 100, 4, 4, "", !"N/A", "", 1, "", 2600, PONY},
	{!"Mule", 94, 18, 100, 2, 2, "", !"N/A", "", 1, "", 1700, MULE},
	{!"Cheetah", 171, 13, 80, 3, 2, " ", !"Transfender", "", 2, "", 1200, CHEETAH},
	{!"Ambulance", 137, 20, 150, 4, 4, " ", !"N/A", "", 1, "", 2600, AMBULANCE},
	{!"Leviathan", 399, 45, 250, 2, 4, "˸ ", !"N/A", "", 2, "N/A", 4568, LEVIATHAN},
	{!"Moonbeam", 103, 15, 90, 5, 4, "", !"Transfender", "", 1, "", 2000, MOONBEAM},
	{!"Esperanto", 133, 8, 60, 3, 2, " ", !"Transfender", "", 2, "", 1800, ESPERANTO},
	{!"Taxi", 129, 8, 80, 5, 4, " ", !"Transfender", "", 2, "", 1450, TAXI},
	{!"Washington", 137, 10, 75, 5, 4, " ", !"Transfender", "", 2, "", 1850, WASHINGTON},
	{!"Bobcat", 124, 12, 80, 3, 2, "", !"Transfender", "", 1, "", 1700, BOBCAT},
	{!"Mr Whoopee", 88, 0},
	{!"BF Injection", 120, 15, 50, 0, 2, "", !"Transfender", "", 2, "", 1200, BFINJECTION},
	{!"Hunter", 399, 0},
	{!"Premier", 154, 9, 65, 5, 4, " ", !"Transfender", "", 2, "", 1600, PREMIER},
	{!"Enforcer", 147, 25, 180, 4, 4, " ", !"N/A", "", 1, "", 4000, ENFORCER},
	{!"Securicar", 139, 20, 150, 4, 4, " ", !"N/A", "", 1, "", 7000, SECURICAR},
	{!"Banshee", 179, 14, 90, 3, 2, " ", !"Transfender", "", 2, "", 1400, BANSHEE},
	{!"Predator", 399, 0},
	{!"Bus", 116, 20, 120, 1, 50, " ", !"N/A", "", 1, "", 5500, BUS},
	{!"Rhino", 84, 0},
	{!"Barracks", 98, 0},
	{!"Hotknife", 148, 15, 80, 3, 2, " ", !"N/A", "", 2, "", 1400, HOTKNIFE},
	{!"Trailer", 0},
	{!"Previon", 133, 7, 60, 3, 2, "", !"Transfender", "", 2, "", 1400, PREVION},
	{!"Coach", 140, 35, 180, 1, 60, " ", !"N/A", "", 1, "", 9500, COACH},
	{!"Cabbie", 127, 13, 90, 5, 4, " ", !"Transfender", "", 2, "", 1750, CABBIE},
	{!"Stallion", 150, 13, 80, 3, 2, " ", !"Transfender", "", 2, "", 1600, STALLION},
	{!"Rumpo", 121, 17, 90, 4, 4, "", !"N/A", "", 1, "", 2000, RUMPO},
	{!"RC Bandit", 67, 0},
	{!"Romero", 124, 20, 95, 3, 2, " ", !"Transfender", "", 2, "", 2500, ROMERO},
	{!"Packer", 112, 0},
	{!"Monster Truck A", 98, 0},
	{!"Admiral", 146, 8, 60, 5, 4, " ", !"Transfender", "", 2, "", 1650, ADMIRAL},
	{!"Squalo", 399, 14, 50, 0, 1, " ", !"N/A", "", 2, "", 2200,  SQUALLO},
	{!"Seasparrow", 399, 30, 180, 2, 2, " ", !"N/A", "", 2, "", 3000, SEASPARROW},
	{!"Pizzaboy", 162, 0},
	{!"Tram", 399, 0},
	{!"Trailer", 399, 0},
	{!"Turismo", 172, 20, 90, 2, 2, " ", !"Transfender", "", 2, "", 1400, TURISMO},
	{!"Speeder", 399, 15, 50, 0, 1, " ", !"N/A", "", 2, "", 2200, SPEEDER},
	{!"Reefer", 399, 25, 100, 0, 1, " ", !"N/A", "", 2, "", 5000, REEFER},
	{!"Tropic", 399, 25, 85, 0, 1, " ", !"N/A", "", 2, "", 2200, TROPIC},
	{!"Flatbed", 140, 25, 190, 2, 2, "", !"N/A", "", 1, "", 8500, FLATBED},
	{!"Yankee", 94, 23, 190, 2, 2, "", !"N/A", "", 1, "", 4500, YANKEE},
	{!"Caddy", 84, 0},
	{!"Solair", 140, 10, 80, 5, 4, " ", !"Transfender", "", 2, "", 2000, SOLAIR},
	{!"Berkley's RC Van", 121, 12, 90, 4, 4, "", !"N/A", "", 1, "", 2600, RCVAN},
	{!"Skimmer", 399, 25, 125, 2, 2, " ", !"N/A", "", 2, "", 5412, SKIMMER},
	{!"PCJ-600", 180, 8, 40, 0, 2, "", !"N/A", "", 2, "", 500, PCJ600},
	{!"Faggio", 155, 2, 15, 0, 2, "", !"N/A", "", 2, "", 350, FAGGIO},
	{!"Freeway", 180, 10, 35, 0, 2, "", !"Transfender", "", 2, "", 800, FREEWAY},
	{!"RC Baron", 399, 0},
	{!"RC Raider", 399, 0},
	{!"Glendale", 131, 12, 60, 5, 4, " ", !"Transfender", "", 2, "", 1600, GLENDALE},
	{!"Oceanic", 125, 13, 65, 5, 4, " ", !"Transfender", "", 2, "", 1900, GLENDALE},
	{!"Sanchez", 164, 5, 40, 0, 2, "", !"N/A", "", 2, "", 500, SANCHEZ},
	{!"Sparrow", 399, 30, 180, 2, 2, " ", !"N/A", "", 2, "", 2500, SPARROW},
	{!"Patriot", 139, 0},
	{!"Quad", 98, 4, 15, 0, 2, "", !"N/A", "", 2, "", 250, QUAD},
	{!"Coastguard", 399, 0},
	{!"Dinghy", 399, 6, 40, 0, 1, " ", !"N/A", "", 2, "", 150, DINGHY},
	{!"Hermes", 133, 14, 80, 3, 2, " ", !"Transfender", "", 2, "", 1950, HERMES},
	{!"Sabre", 154, 15, 85, 3, 2, " ", !"Transfender", "", 2, "", 1700, SABRE},
	{!"Rustler", 399, 0},
	{!"ZR-350", 166, 8, 75, 3, 2, " ", !"Transfender", "", 2, "",1600, ZR350},
	{!"Walton", 105, 16, 80, 2, 2, " ", !"Transfender", "",  2, "", 1780, WALTON},
	{!"Regina", 124, 12, 80, 5, 4, "C ", !"Transfender", "", 2, "", 1500, REGINA},
	{!"Comet", 164, 10, 60, 3, 2, " ", !"Transfender", "", 2, "", 1350, COMET},
	{!"BMX", 86, 0, 0, 0, 1, "", !"N/A", "N/A", 0, "", 20, BMX},
	{!"Burrito", 139, 20, 160, 4, 4, "", !"N/A", "", 1, "", 2050, BURRITO},
	{!"Camper", 109, 14, 90, 3, 3, " ", !"N/A", "", 1, "", 1800, CAMPER},
	{!"Marquis", 399, 40, 200, 0, 1, " ", !"N/A", "", 2, "", 4200, MARQUIS},
	{!"Baggage", 88, 0},
	{!"Dozer", 56, 0},
	{!"Maverick", 399, 40, 180, 4, 4, " ", !"N/A", "", 2, "", 3560, MAVERICK},
	{!"News Chopper", 399, 40, 180, 4, 4, " ", !"N/A", "", 2, "", 3860, NEWSMAVERICK},
	{!"Rancher", 124, 13, 100, 3, 2, "", !"Transfender ", "", 2, "", 1450, RANCHER},
	{!"FBI Rancher", 139, 15, 100, 5, 2, " ", !"N/A", "", 2, "", 1650, FBIRANCHER},
	{!"Virgo", 132, 7, 65, 3, 2, "C ", !"Transfender", "", 2, "", 1200, VIRGO},
	{!"Greenwood", 125, 5, 40, 5, 4, " ", !"Transfender", "", 2, "", 1658, GREENWOOD},
	{!"Jetmax", 399, 35, 150, 0, 1, " ", !"N/A", "", 2, "", 3490, JETMAX},
	{!"Hotring", 191, 0},
	{!"Sandking", 157, 19, 100, 3, 2, "", !"N/A", "", 2, "", 1500, SANDKING},
	{!"Blista Compact", 145, 9, 55, 3, 2, " ", !"Transfender", "", 2, "", 950, BLISTACOMPACT},
	{!"Police Maverick", 399, 40, 180, 4, 4, " ", !"N/A", "", 2, "", 3560, POLICEMAVERICK},
	{!"Boxville", 96, 20, 90, 4, 4, "", !"N/A", "", 1, "", 2150, BOXVILLE},
	{!"Benson", 109, 19, 95, 2, 2, "", !"N/A", "", 1, "", 2050, BENSON},
	{!"Mesa", 125, 8, 55, 2, 2, "", !"Transfender", "", 2, "", 1460, MESA},
	{!"RC Goblin", 399, 0},
	{!"Hotring Racer", 191, 0},
	{!"Hotring Racer", 191, 0},
	{!"Bloodring Banger", 154, 0},
	{!"Rancher", 124, 13, 100, 3, 2, "", !"Transfender ", "", 2, "", 1450, RANCHER},
	{!"Super GT", 159, 15, 90, 3, 2, " ", !"Transfender", "", 2, "", 1750, SUPERGT},
	{!"Elegant", 148, 14, 59, 4, 5, " ", !"Transfender", "", 2, "", 2245, ELEGANT},
	{!"Journey", 96, 25, 190, 2, 2, "", !"N/A", "", 1, "", 2550, JOURNEY},
	{!"Bike", 93},
	{!"Mountain Bike", 117, 0, 0, 0, 1, "", !"N/A", "N/A", 0, "", 17, MOUNTAINBIKE},
	{!"Beagle", 399, 35, 180, 2, 2, " ", !"N/A", "", 2, "", 3400, BEAGLE},
	{!"Cropdust", 399, 40, 180, 2, 2, " ", !"N/A", "", 2, "", 3400, CROPDUSTER},
	{!"Stunt", 399, 0},
	{!"Tanker", 107, 0},
	{!"RoadTrain", 126, 0},
	{!"Nebula", 140, 7, 65, 5, 4, " ", !"Transfender", "", 2, "", 1100, NEBULA},
	{!"Majestic", 140, 9, 80, 3, 2, " ", !"Transfender", "", 2, "", 1350, MAJESTIC},
	{!"Buccaneer", 146, 11, 75, 3, 2, " ", !"Transfender", "", 2, "", 1275, BUCCANEER},
	{!"Shamal", 399, 45, 210, 1, 1, " ", !"N/A", "", 2, "", 4350, SHAMAL},
	{!"Hydra", 399},
	{!"FCR-900", 190, 6, 30, 0, 2, "", !"N/A", "", 2, "", 300, FCR900},
	{!"NRG-500", 200, 10, 45, 0, 2, "", !"N/A", "", 2, "", 450, NRG500},
	{!"HPV1000", 172, 9, 5, 0, 2, " ", !"N/A", "", 2, "", 500, HPV1000},
	{!"Cement Truck", 116, 0},
	{!"Tow Truck", 143, 15, 95, 2, 2, " ", !"N/A", "", 2, "", 4100, TOWTRUCK},
	{!"Fortune", 140, 13, 60, 2, 3, " ", !"Tranfender", "", 2, "", 1740, FORTUNE},
	{!"Cadrona", 133, 11, 55, 2, 3, " ", !"Tranfender", "", 2, "", 1200, CADRONA},
	{!"FBI Truck", 157, 20, 100, 2, 4, " ", !"N/A", "", 1, "", 4010, FBITRUCK},
	{!"Willard", 133, 14, 65, 4, 5, " ", !"N/A", "", 2, "", 1841, WILLARD},
	{!"Forklift", 54, 0},
	{!"Tractor", 62, 0},
	{!"Combine", 98, 21, 150, 2, 2, " ", !"N/A", "", 1, "", 8101, COMBINEHARVESTER},
	{!"Feltzer", 148, 14, 65, 2, 3, " ", !"Transfender", "", 2, "", 1652, FELTZER},
	{!"Remington", 150, 14, 65, 2, 3, "", !"Loco Low Co", "", 2, "", 1841, REMINGTON},
	{!"Slamvan", 140, 15, 70, 2, 3, "", !"Loco Low Co", "", 2, "", 1951, SLAMVAN},
	{!"Blade", 154, 13, 55, 2, 3, "", !"Loco Low Co", "", 2, "", 1551, SLAMVAN},
	{!"Freight", 399, 0},
	{!"Streak", 399, 0},
	{!"Vortex", 89, 0},
	{!"Vincent", 136, 14, 65, 4, 5, " ", !"Tranfender", "", 2, "", 1871, VINCENT},
	{!"Bullet", 180, 18, 90, 2, 3, " ", !"Transfender", "", 2, "", 1210, BULLET},
	{!"Clover", 146, 6, 50, 2, 3, " ", !"Transfender", "", 2, "", 1620, CLOVER},
	{!"Sadler", 134, 9, 60, 2, 3, "", !"Transfender", "", 1, "", 1720, SADLER},
	{!"Firetruck", 132, 14, 150, 2, 4, " ", !"N/A", "", 1, "", 6512, FIRETRUCK},
	{!"Hustler", 131, 2, 3, 13, 60, " ", !"Transfender", "", 2, "", 1781, HUSTLER},
	{!"Intruder", 133, 12, 65, 4, 5, " ", !"Tranfender", "", 2, "", 1890, INTRUDER},
	{!"Primo", 127, 7, 60, 5, 4, " ", !"Transfender", "", 2, "", 1300, PRIMO},
	{!"Cargobob", 399, 0},
	{!"Tampa", 136, 8, 70, 3, 2, " ", !"Transfender", "", 2, "", 1200, TAMPA},
	{!"Sunrise", 128, 9, 75, 5, 4, " ", !"Transfender", "", 2, "", 1350, SUNRISE},
	{!"Merit", 140, 10, 75, 5, 4, " ", !"Transfender", "", 2, "", 1500, MERIT},
	{!"Utility", 108, 0},
	{!"Nevada", 399, 80, 500, 1, 30, " ", !"N/A", "", 2, "", 4600, NEVADA},
	{!"Yosemite", 128, 15, 100, 3, 2, "", !"Transfender", "", 1, "", 2100, YOSEMITE},
	{!"Windsor", 141, 6, 60, 3, 2, " ", !"Transfender", "", 2, "", 1600, WINDSOR},
	{!"Monster Truck B", 98, 0},
	{!"Monster Truck C", 98, 0},
	{!"Uranus", 139, 10, 80, 3, 2, " ", !"Wheels Arch Angels", "", 2, "", 1500, URANUS},
	{!"Jester", 158, 13, 80, 3, 2, " ", !"Wheels Arch Angels", "", 2, "", 1400, JESTER},
	{!"Sultan", 150, 15, 90, 5, 4, " ", !"Wheels Arch Angels", "", 2, "", 1700, SULTAN},
	{!"Stratum", 137, 14, 90, 5, 4, " ", !"Wheels Arch Angels", "", 2, "", 1800, STRATUM},
	{!"Elegy", 158, 13, 70, 3, 2, " ", !"Wheels Arch Angels", "", 2, "", 1300, ELEGY},
	{!"Raindance", 399, 35, 450, 2, 2, " ", !"N/A", "", 2, "", 4200, RAINDANCE},
	{!"RC Tiger", 79, 0},
	{!"Flash", 146, 8, 60, 3, 2, " ", !"Wheels Arch Angels", "", 2, "", 1200, FLASH},
	{!"Tahoma", 142, 11, 80, 5, 4, " ", !"Loco Low Co", "", 2, "", 1450, TAHOMA},
	{!"Savanna", 154, 15, 90, 5, 4, " ", !"Loco Low Co", "", 2, "", 1800, SAVANNA},
	{!"Bandito", 130, 12, 40, 0, 1, " ", !"N/A", "", 2, "", 1100, BANDITO},
	{!"Freight", 399, 0},
	{!"Trailer", 399, 0},
	{!"Kart", 83, 0},
	{!"Mower", 54, 0},
	{!"Duneride", 98, 0},
	{!"Sweeper", 53, 3, 15, 2, 1, " ", !"N/A", "", 2, "", 650, SWEEPER},
	{!"Broadway", 140},
	{!"Tornado", 140, 14, 70, 3, 2, " ", !"Loco Low Co", "", 2, "", 1980, TORNADO},
	{!"AT-400", 399, 0},
	{!"DFT-30", 116, 0},
	{!"Huntley", 140, 16, 80, 5, 4, "", !"Transfender", "", 2, "", 2560, HUNTLEY},
	{!"Stafford", 136, 14, 80, 5, 4, " ", !"Transfender", "", 2, "", 1970, STAFFORD},
	{!"BF-400", 170, 10, 30, 0, 2, "", !"N/A", "", 2, "", 360, BF400},
	{!"Newsvan", 121, 20, 150, 4, 4, " ", !"N/A", "", 1, "", 3600, NEWSVAN},
	{!"Tug", 76, 0},
	{!"Trailer", 399, 0},
	{!"Emperor", 136, 7, 65, 5, 4, " ", !"Transfender", "", 2, "", 1860, EMPEROR},
	{!"Wayfarer", 175, 11, 30, 0, 2, "", !"N/A", "", 2, "", 390, WAYFARER},
	{!"Euros", 147, 9, 80, 3, 2, " ", !"Transfender", "", 2, "", 1600, EUROS},
	{!"Hotdog", 96, 0},
	{!"Club", 145, 12, 75, 3, 2, " ", !"Transfender", "", 2, "", 1250, CLUB},
	{!"Trailer", 399, 0},
	{!"Trailer", 399, 0},
	{!"Andromada", 399, 0},
	{!"Dodo", 399, 35, 100, 2, 2, " ", !"N/A", "", 2, "", 3000, DODO},
	{!"RC Cam", 54, 0},
	{!"Launch", 399, 0},
	{!"Police Car (LSPD)", 156, 13, 80, 5, 4, " ", !"N/A", "", 2, "", 1900, POLICECARLS},
	{!"Police Car (SFPD)", 156, 13, 80, 5, 4, " ", !"N/A", "", 2, "", 2000, POLICECARSF},
	{!"Police Car (LVPD)", 156, 13, 80, 5, 4, " ", !"N/A", "", 2, "", 1700, POLICECARLV},
	{!"Police Ranger", 140, 17, 100, 3, 2, " ", !"N/A", "", 2, "", 2400, POLICERANGER},
	{!"Picador", 134, 14, 70, 3, 2, " ", !"Transfender", "", 2, "", 2150, PICADOR},
	{!"S.W.A.T. Van", 98, 22, 100, 4, 4, " ", !"N/A", "", 2, "", 3000, SWAT},
	{!"Alpha", 150, 12, 60, 3, 2, " ", !"Transfender", "", 2, "", 1700, ALPHA},
	{!"Phoenix", 152, 14, 80, 3, 2, " ", !"Transfender", "", 2, "", 1950, PHOENIX},
	{!"Glendale", 131, 0},
	{!"Sadler", 134, 0},
	{!"Luggage Trailer", 399, 0},
	{!"Luggage Trailer", 399, 0},
	{!"Stair Trailer", 399, 0},
	{!"Boxville", 96, 0},
	{!"Farm Plow", 399, 0},
	{!"Utility Trailer", 399, 0}
};
